Aliens = {} -- Table that stores alien info
Aliens.FrigateImages = {love.graphics.newImage("AlienShip1.png"), love.graphics.newImage("AlienShip1Shield.png")} -- Alien ship class images
RaidGroup = {} --table that holds ships for attacks
RaidTime = 0
Raid = false
RaidHit = {}
RaidDead = {}


function CreateRaid()
	if math.random(1,2) == 2 then
		Raid = true
		RaidTime = math.random(10,45)
		local maxShips = Game.Day -- sets max number of ships able to attack player
		local totalShips = math.random(1, maxShips)
		local spawndir = {"North", "West", "East", "South"}	
		for i = 1, totalShips do
			RaidGroup[i] = {spawndir[math.random(1,4)], "Frigate", x, y, 40, 0, 0}
		end
		for i = 1,#RaidGroup do
			if RaidGroup[i][1] == "North" then
				RaidGroup[i][3] = math.random(0, 800)
				RaidGroup[i][4] = math.random(-500, -200)
			elseif RaidGroup[i][1] == "East" then
				RaidGroup[i][3] = math.random(1000, 1500)
				RaidGroup[i][4] = math.random(0, 600)
			elseif RaidGroup[i][1] == "West" then
				RaidGroup[i][3] = math.random(-200, -500)
				RaidGroup[i][4] = math.random(0, 600)
			elseif RaidGroup[i][1] == "South" then
				RaidGroup[i][3] = math.random(0, 800)
				RaidGroup[i][4] = math.random(800, 1100)
			end
			
			local angle = math.atan2((Earth.Y + Earth.Height / 2)- (RaidGroup[i][4] + 64 / 2), (Earth.X + Earth.Width / 2)- (RaidGroup[i][3] + 64 / 2))
			RaidGroup[i][6] = RaidGroup[i][5] * math.cos(angle)
			RaidGroup[i][7] = RaidGroup[i][5] * math.sin(angle)
		end
	end
end


function UpdateRaid(dt)
	for i=1,#RaidGroup do
		RaidGroup[i][3] = RaidGroup[i][3] + (RaidGroup[i][6] * dt)
		RaidGroup[i][4] = RaidGroup[i][4] + (RaidGroup[i][7] * dt)
		if RaidGroup[i][3] + 32 >= Earth.X + 32 and RaidGroup[i][3] + 32 <= Earth.X + Earth.Width - 32 and RaidGroup[i][4] + 32 >= Earth.Y + 32 and RaidGroup[i][4] + 32 <= Earth.Y + Earth.Height - 32 then
			table.insert(RaidHit, i)
		end
	end
	for i=#RaidHit,1,-1 do
		table.remove(RaidGroup,RaidHit[i])
		table.remove(RaidHit, i)
	end
end


function DrawRaid()
	for i = 1,#RaidGroup do
		love.graphics.draw(Aliens.FrigateImages[1], RaidGroup[i][3], RaidGroup[i][4])
	end
end









