-- Worlds at War - single player rpg defense game.
require 'Aliens'
require 'Player'


function love.load()
	love.graphics.setDefaultFilter( "nearest", "nearest", 1 )
	math.randomseed(os.time())
	Earth = {} -- Table to store info about Earth
	Earth.X = 325
	Earth.Y = 225
	Earth.Width = 128
	Earth.Height = 128
	Earth.Image = love.graphics.newImage("Earth2.png") -- sets the variable to the earth image
	Space = {} -- Table to store info about Space
	Space.Image = love.graphics.newImage("Space.png") -- sets the variable to the space image
	Game = {} -- Where i store all the game related variables and info.
	Game.Day = 500 -- What Round the game is at
	
	CreateRaid()
end


function love.update(dt)
	UpdateProjectiles(dt)	
	UpdateRaid(dt)
end


function love.draw()
	love.graphics.draw(Space.Image, 0, 0) -- draws the earth at the given coords
	DrawProjectiles()
	DrawRaid()
	love.graphics.draw(Earth.Image, Earth.X, Earth.Y) -- draws space at the given coords
	love.graphics.print("Day "..Game.Day, 10, 5) -- prints the current day in game
	love.graphics.print("Projectiles: "..#Player.ParticleLasers, 5, 15)
	love.graphics.print("ProjectileTrash: "..#ProjectileTrash, 5, 30)
	love.graphics.print("Raid: "..tostring(Raid), 5, 25)
end

function love.mousepressed(x, y, button)
	PlayerShoot(x,y,button)
end